Skip to main content

Checking Job Status, Retrieving Results

GET 

/v2/recognitions/:session_id

Retrieves the status and result of the specified speech recognition job.

Request

Responses

Returns the status of the speech recognition request and associated information. The status takes one of the following 5 values:

statusDescription
queuedThe job is registered in the queue.
startedThe job has been taken out of the queue and is preparing the execution environment.
processingThe job is being executed.
completedResults have been obtained from the speech recognition process. If code is an empty string, meaning the speech recognition was successful, the results are included in segments.
errorAn error occurred when trying to execute the job or during job execution. The error details are stored in error_message.

The following table summarizes the information included in each state: queued, started, processing, completed, and error. In the columns for each state's initial letter (q, s, p, c, e), A indicates always included. O indicates included if that information is available.

KeyqspceDescription
statusAAAAAJob status. Takes the states: queued, started, processing, completed, error.
audio_md5AAOMD5 checksum value of the received audio file.
audio_sizeAAOSize of the received audio file.
content_idOOOOOValue of contentId set by the user at the time of request.
service_idAAAAService ID.
segmentsASpeech recognition results per utterance.
utteranceidARecognition result information ID.
textAOverall recognition result text combining all "recognition results for speech segments".
codeASingle character code representing the result.
messageAString describing the error content.
error_messageAString describing the error content

When the status is completed, it returns the speech recognition results in JSON format. Unlike the synchronous HTTP interface, the recognition results are placed under segments on a per-utterance basis.